package com.ruoyi.system.domain.fgw;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发改委_督办单对象 fgw_dbd
 * 
 * @author ruoyi
 * @date 2023-03-24
 */
public class FgwDbd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;


    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;


    /** 督办内容名称 */
    @Excel(name = "督办内容名称")
    private String dbnrName;

    /** 督办部门id */
    @Excel(name = "督办部门id")
    private Long deptId;

    /** 督办部门名称 */
    @Excel(name = "督办部门名称")
    private String deptName;

    /** 督办等级 */
    @Excel(name = "督办等级")
    private String dbdj;

    /** 要求完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "要求完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yqwcsj;

    /** 超期天数 */
    @Excel(name = "超期天数")
    private Long cqts;

    /** 是否完成 N:未完成，2:已完成 */
    @Excel(name = "是否完成 N:未完成，Y:已完成")
    private String isWc;

    /** 超期等级 0：未超期 1：黄牌，2红牌 */
    @Excel(name = "超期等级")
    private String type;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDbnrName(String dbnrName) 
    {
        this.dbnrName = dbnrName;
    }

    public String getDbnrName() 
    {
        return dbnrName;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setDbdj(String dbdj) 
    {
        this.dbdj = dbdj;
    }

    public String getDbdj() 
    {
        return dbdj;
    }
    public void setYqwcsj(Date yqwcsj) 
    {
        this.yqwcsj = yqwcsj;
    }

    public Date getYqwcsj() 
    {
        return yqwcsj;
    }
    public void setCqts(Long cqts) 
    {
        this.cqts = cqts;
    }

    public Long getCqts() 
    {
        return cqts;
    }
    public void setIsWc(String isWc) 
    {
        this.isWc = isWc;
    }

    public String getIsWc() 
    {
        return isWc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmmc", getXmmc())
            .append("dbnrName", getDbnrName())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("dbdj", getDbdj())
            .append("yqwcsj", getYqwcsj())
            .append("cqts", getCqts())
            .append("isWc", getIsWc())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
